Bouygues TV in France

Bug #1506876 reported by guy on 2015-10-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Pipelight
Undecided
Unassigned

Bug Description

Hi,

I use debian sid and :

$ apt-cache policy pipelight-multi
pipelight-multi:
  Installé : 0.2.8.2~sid
  Candidat : 0.2.8.2~sid
 Table de version :
 *** 0.2.8.2~sid 0
        500 http://repos.fds-team.de/stable/debian/ sid/main amd64 Packages

I create a little dirty patch to view live TV for Bouygues on my debian TV (adsl provider in France)

http://www.services.bouyguestelecom.fr/television-vod/tv-en-direct/
Not happy with the ViewRightWebInstaller with current pipelight ...

Here is the patch :

$ cat diff_ViewRightWebInstaller.patch
--- /usr/share/pipelight/install-dependency 2015-10-16 11:53:39.083886495 +0200
+++ /usr/share/pipelight/install-dependency.new 2015-10-16 12:37:41.123951023 +0200
@@ -979,8 +979,8 @@
    ;;
   wine-viewright-caiway-installer) # https://www.caiway.nl/site/nl/applicatie/multiscreentvplugins
    INS=(install_viewright_caiway)
- URL="https://www.caiway.nl/downloads/ViewRightWebInstaller-3.5.0.0_CaiW.msi"
- SHA="9436dea83e42204d0a9bc4d128c2f2693dd9c5f9636d5fa57441ef5886f3ab43"
+ URL="http://www.services.bouyguestelecom.fr/television-vod/uploads/verimatrix/ViewRightWebInstaller.msi"
+ SHA="e5284961fe2263206fb09ee2055bcc8ada80ed434dd2cfb4227caf1c51c97e6a"
    ;;
   *)
    echo "[$PRG] ERROR: No installer script found for $DEP." >&2

$ pipelight-plugin --list-enabled
viewright-caiway

It runs fine on my debian ... i think lot of linux user will happy to use
this patch instead of installing genymotion ...

Perhaps we can create a new plugin : viewright-bouygues ?

--
Guy

Michael Müller (mqchael) wrote :

I think there is no problem in adding an additional viewright plugin, but I fear that we also need to implement some protection against enabling multiple viewright plugins. As far as I know (I don't have access to any viewright services) you can't install multiple versions of ViewRight at the same time, so they would overwrite each other. This might cause a problem if you enable multiple viewrights plugins and Pipelight tries to update them.

I am not yet sure what would be the best solution since we might need to change the way how Pipelight installs plugins anyway. Firefox has some timeout for loading plugins which causes problems for some people. On the other hand, Firefox is going to drop support for NPAPI in about a year, so not sure if it makes sense to rewrite Pipelight any more.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers